<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Groups/Scripts/4_world/dayzexpansion_groups/mvc_view/expansionpartyhudmember.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d9d/a01382_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionpartyhudmember.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d9d/a01382.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionPartyHudMember.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifdef EXPANSIONMODGROUPSHUD</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="keyword">class </span>ExpansionPartyHudMember: <a class="code hl_class" href="../../d8/dfd/a04293.html">ExpansionScriptViewBase</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="keyword">protected</span> ref ExpansionPartyHudMemberController m_PartyMemberController;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="keyword">protected</span> ProgressBarWidget PlayerHealth;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="keyword">protected</span> Widget PlayerBloodPanel;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="keyword">protected</span> Widget PlayerStates;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="keyword">protected</span> Widget PlayerStances;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="keyword">protected</span> ImageWidget Bones;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keyword">protected</span> ImageWidget Sick;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="keyword">protected</span> ImageWidget Poisoned;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keyword">protected</span> ImageWidget Bleeding;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="keyword">protected</span> TextWidget BleedingCount;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="keyword">protected</span> ImageWidget StanceProne;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="keyword">protected</span> ImageWidget StanceCrouch;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="keyword">protected</span> ImageWidget StanceStand;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="keyword">protected</span> ImageWidget StanceStandWalk;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="keyword">protected</span> ImageWidget StanceCar;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="keyword">protected</span> ImageWidget StanceHeli;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="keyword">protected</span> ImageWidget StanceBoat;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="keyword">protected</span> ImageWidget StanceDead;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="keyword">protected</span> ImageWidget StanceUncon;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> m_CurrentHealth;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> m_CurrentBlood;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="keywordtype">string</span> m_PlayerID;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> m_PlayerPlainID;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d3a/a08610.html#a02db2b524a6e549a43edb6ff450c9439">m_PlayerName</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="keyword">protected</span> ref Timer m_UpdateTimer;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="keywordtype">void</span> ExpansionPartyHudMember(<span class="keywordtype">string</span> playerID, <span class="keywordtype">string</span> playerPlainID, <span class="keywordtype">string</span> playerName)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(<a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_variable" href="../../da/deb/a04249.html#a6d1ed346787ec0836b1f3bedcf95392d">GROUPS</a>, <span class="keyword">this</span>, playerPlainID, playerName);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        m_PlayerID = playerID;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        m_PlayerPlainID = playerPlainID;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_variable" href="../../d4/d3a/a08610.html#a02db2b524a6e549a43edb6ff450c9439">m_PlayerName</a> = playerName;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        m_PartyMemberController = ExpansionPartyHudMemberController.Cast(GetController());</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">#ifdef EXPANSIONMONITORMODULE</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_class" href="../../d8/d84/a00001.html#d8/d04/a08037">ExpansionMonitorModule</a> monitorModule = <a class="code hl_class" href="../../d8/d84/a00001.html#d8/d04/a08037">ExpansionMonitorModule</a>.Cast(CF_ModuleCoreManager.Get(<a class="code hl_class" href="../../d8/d84/a00001.html#d8/d04/a08037">ExpansionMonitorModule</a>));</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">if</span> (monitorModule)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            monitorModule.m_StatsInvoker.Insert(OnDataRecived);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            monitorModule.m_StatesInvoker.Insert(OnStateDataRecived);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        CreateUpdateTimer();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_function" href="../../d7/d51/a01340.html#aff9a284bb904b06f8ab09a622b5d7d6f">SetView</a>();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="keywordtype">void</span> ~ExpansionPartyHudMember()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(<a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_variable" href="../../da/deb/a04249.html#a6d1ed346787ec0836b1f3bedcf95392d">GROUPS</a>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">#ifdef EXPANSIONMONITORMODULE</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a>(<a class="code hl_class" href="../../d8/d92/a08053.html">ExpansionPartySettings</a>))</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <a class="code hl_class" href="../../d8/d84/a00001.html#d8/d04/a08037">ExpansionMonitorModule</a> monitorModule = <a class="code hl_class" href="../../d8/d84/a00001.html#d8/d04/a08037">ExpansionMonitorModule</a>.Cast(CF_ModuleCoreManager.Get(<a class="code hl_class" href="../../d8/d84/a00001.html#d8/d04/a08037">ExpansionMonitorModule</a>));</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">if</span> (monitorModule)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            monitorModule.m_StatsInvoker.Remove(OnDataRecived);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a>().<a class="code hl_variable" href="../../d8/d4e/a01355.html#aa6dce6ef826a5ec0f963e097e1dd3be8">ShowHUDMemberStates</a> || <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a>().<a class="code hl_variable" href="../../d8/d4e/a01355.html#af08568695364f7a77e011598de966035">ShowHUDMemberStance</a>)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                monitorModule.m_StatesInvoker.Remove(OnStateDataRecived);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        DestroyUpdateTimer();</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d6a/a00704.html#af50c208477ace3db233bfb6243901f7c">GetLayoutFile</a>() </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Groups/GUI/layouts/expansion_party_hud_member.layout&quot;</span>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d4/d6a/a00704.html#aae475e0b4d95b152ef3e68af16944a01">GetControllerType</a>() </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">return</span> ExpansionPartyHudMemberController;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d51/a01340.html#aff9a284bb904b06f8ab09a622b5d7d6f">SetView</a>()</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        m_PartyMemberController.PlayerName = <a class="code hl_variable" href="../../d4/d3a/a08610.html#a02db2b524a6e549a43edb6ff450c9439">m_PlayerName</a>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        m_PartyMemberController.NotifyPropertyChanged(<span class="stringliteral">&quot;PlayerName&quot;</span>);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <span class="keywordtype">void</span> OnDataRecived( <a class="code hl_class" href="../../d9/d36/a04541.html">ExpansionSyncedPlayerStats</a> player_stats)</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(<a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_variable" href="../../da/deb/a04249.html#a137df85551170b6f8824a8598b9ba405">PLAYER_MONITOR</a>, <span class="keyword">this</span>, player_stats.<a class="code hl_variable" href="../../d9/d36/a04541.html#af1bdf892773fe32beec0cc4c81168651">m_PlainID</a>);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span> (m_PlayerPlainID != player_stats.<a class="code hl_variable" href="../../d9/d36/a04541.html#af1bdf892773fe32beec0cc4c81168651">m_PlainID</a> || !player_stats.<a class="code hl_variable" href="../../d9/d36/a04541.html#afeda392525a5dd89e7c01dc18202b48a">m_HasBaseStats</a>) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        SetStats(player_stats);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    <span class="keywordtype">void</span> OnStateDataRecived( ExpansionSyncedPlayerStates player_states)</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(<a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_variable" href="../../da/deb/a04249.html#a137df85551170b6f8824a8598b9ba405">PLAYER_MONITOR</a>, <span class="keyword">this</span>, player_states.m_PlainID);</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">if</span> (m_PlayerPlainID != player_states.m_PlainID) </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        SetStates(player_states);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    <span class="keywordtype">void</span> SetStats( <a class="code hl_class" href="../../d9/d36/a04541.html">ExpansionSyncedPlayerStats</a> player_stats)</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        PlayerBloodPanel.Show(<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a>().<a class="code hl_variable" href="../../d8/d4e/a01355.html#a6ad90c3c11d61454c49fd08db8b30d8c">ShowHUDMemberBlood</a>);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">if</span> (m_CurrentHealth != player_stats.<a class="code hl_variable" href="../../d9/d36/a04541.html#a3a47afe18588cf04099939866f667ac8">m_Health</a>)</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            m_CurrentHealth = player_stats.<a class="code hl_variable" href="../../d9/d36/a04541.html#a3a47afe18588cf04099939866f667ac8">m_Health</a>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            m_PartyMemberController.PlayerHealth = m_CurrentHealth;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            m_PartyMemberController.NotifyPropertyChanged(<span class="stringliteral">&quot;PlayerHealth&quot;</span>);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            m_PartyMemberController.PlayerHealthVal = m_CurrentHealth.ToString() + <span class="stringliteral">&quot;%&quot;</span>;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            m_PartyMemberController.NotifyPropertyChanged(<span class="stringliteral">&quot;PlayerHealthVal&quot;</span>);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <span class="keywordtype">int</span> color;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            color = GetHealthColor(player_stats.<a class="code hl_variable" href="../../d9/d36/a04541.html#a3a47afe18588cf04099939866f667ac8">m_Health</a>);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            PlayerHealth.SetColor(color);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a>().<a class="code hl_variable" href="../../d8/d4e/a01355.html#a6ad90c3c11d61454c49fd08db8b30d8c">ShowHUDMemberBlood</a> &amp;&amp; m_CurrentBlood != player_stats.<a class="code hl_variable" href="../../d9/d36/a04541.html#a386ac5c35fc67a66b02890cafefa9a0d">m_Blood</a>)</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            m_CurrentBlood = player_stats.<a class="code hl_variable" href="../../d9/d36/a04541.html#a386ac5c35fc67a66b02890cafefa9a0d">m_Blood</a>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            m_PartyMemberController.PlayerBlood = m_CurrentBlood;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            m_PartyMemberController.NotifyPropertyChanged(<span class="stringliteral">&quot;PlayerBlood&quot;</span>);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            m_PartyMemberController.PlayerBloodVal = m_CurrentBlood.ToString() + <span class="stringliteral">&quot;%&quot;</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            m_PartyMemberController.NotifyPropertyChanged(<span class="stringliteral">&quot;PlayerBloodVal&quot;</span>);</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    <span class="keywordtype">int</span> GetHealthColor(<span class="keywordtype">int</span> health)</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keywordtype">int</span> color;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <span class="keywordflow">if</span> (health &gt;= 100)</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        {</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            color = ARGB(255,39,174,96);</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (health &gt;= 70)</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            color = ARGB(255,46,204,113);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (health &gt;= 50)</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        {</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            color = ARGB(255,241,196,15);</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (health &gt;= 30)</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        {</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            color = ARGB(255,211,84,0);</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        }</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (health &gt;= 10)</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            color = ARGB(255,192,57,43);</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <span class="keywordflow">return</span> color;</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    <span class="keywordtype">void</span> SetStates(ExpansionSyncedPlayerStates player_states)</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    {</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        PlayerStates.Show(<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a>().<a class="code hl_variable" href="../../d8/d4e/a01355.html#aa6dce6ef826a5ec0f963e097e1dd3be8">ShowHUDMemberStates</a>);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        PlayerStances.Show(<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a>().<a class="code hl_variable" href="../../d8/d4e/a01355.html#af08568695364f7a77e011598de966035">ShowHUDMemberStance</a>);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a>().<a class="code hl_variable" href="../../d8/d4e/a01355.html#aa6dce6ef826a5ec0f963e097e1dd3be8">ShowHUDMemberStates</a>)</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        {</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            Bones = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;Bones&quot;</span>));</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            <span class="keywordflow">if</span> (Bones &amp;&amp; player_states.m_Bones &gt; 0)</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>            {</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>                Bones.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>            }</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> (Bones &amp;&amp; player_states.m_Bones &lt;= 0)</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>                Bones.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>            }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            Sick = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;Sick&quot;</span>));</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            <span class="keywordflow">if</span> (Sick &amp;&amp; (player_states.m_Sick &gt; 0 || player_states.m_Cholera &gt; 0 || player_states.m_Infection &gt; 0 || player_states.m_Influenza &gt; 0 || player_states.m_Salmonella &gt; 0))</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            {</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>                Sick.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>            }</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> (Sick &amp;&amp; (player_states.m_Sick &lt;= 0 || player_states.m_Cholera &lt;= 0 || player_states.m_Infection &lt;= 0 || player_states.m_Influenza &lt;= 0 || player_states.m_Salmonella &lt;= 0))</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>            {</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>                Sick.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>            }</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        </div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>            Poisoned = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;Poisoned&quot;</span>));</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <span class="keywordflow">if</span> (Poisoned &amp;&amp; player_states.m_Poison &gt; 0)</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>            {</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>                Poisoned.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>            }</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> (Poisoned &amp;&amp; player_states.m_Poison &lt;= 0)</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>            {</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>                Poisoned.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>            }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>            </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            Bleeding = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;Bleeding&quot;</span>));</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>            <span class="keywordflow">if</span> (Bleeding &amp;&amp; BleedingCount &amp;&amp; player_states.m_Cuts &gt; 0)</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>            {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>                Bleeding.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>                BleedingCount.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>                BleedingCount.SetText(player_states.m_Cuts.ToString());</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>            }</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> (Bleeding &amp;&amp; BleedingCount &amp;&amp; player_states.m_Cuts &lt;= 0)</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>            {</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>                Bleeding.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>                BleedingCount.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>                BleedingCount.SetText(<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>            }</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        }</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a>().<a class="code hl_variable" href="../../d8/d4e/a01355.html#af08568695364f7a77e011598de966035">ShowHUDMemberStance</a> &amp;&amp; player_states.m_Stance &gt; 0)</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        {</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>            UpdateStance(player_states.m_Stance);</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        }</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    }</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    <span class="keywordtype">void</span> UpdateStance(<a class="code hl_enumeration" href="../../db/d08/a01028.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a> stance)</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    {</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        StanceStand = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;StanceStand&quot;</span>));</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        StanceStandWalk = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;StanceStandWalk&quot;</span>));</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>        StanceCrouch = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;StanceCrouch&quot;</span>));</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        StanceProne = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;StanceProne&quot;</span>));</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        StanceCar = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;StanceCar&quot;</span>));</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        StanceHeli = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;StanceHeli&quot;</span>));</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        StanceBoat = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;StanceBoat&quot;</span>));</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        StanceDead = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;StanceDead&quot;</span>));</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        StanceUncon = ImageWidget.Cast(GetLayoutRoot().FindAnyWidget(<span class="stringliteral">&quot;StanceUncon&quot;</span>));</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>            </div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        <span class="keywordflow">switch</span> (stance)</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        {</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../db/d08/a01028.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a>.STAND:</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>            StanceStand.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>            StanceStandWalk.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>            StanceCrouch.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>            StanceProne.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>            StanceCar.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>            StanceHeli.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>            StanceBoat.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>            StanceDead.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>            StanceUncon.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../db/d08/a01028.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a>.CROUCH:</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>            StanceStand.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>            StanceStandWalk.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>            StanceCrouch.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>            StanceProne.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>            StanceCar.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>            StanceHeli.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>            StanceBoat.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>            StanceDead.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>            StanceUncon.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../db/d08/a01028.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a>.PRONE:</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>            StanceStand.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>            StanceStandWalk.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>            StanceCrouch.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>            StanceProne.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>            StanceCar.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>            StanceHeli.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>            StanceBoat.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>            StanceDead.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>            StanceUncon.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../db/d08/a01028.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a>.CAR:</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>            StanceStand.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>            StanceStandWalk.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>            StanceCrouch.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>            StanceProne.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>            StanceCar.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>            StanceHeli.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>            StanceBoat.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>            StanceDead.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>            StanceUncon.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../db/d08/a01028.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a>.HELICOPTER:</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>            StanceStand.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>            StanceStandWalk.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>            StanceCrouch.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>            StanceProne.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>            StanceCar.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>            StanceHeli.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>            StanceHeli.LoadImageFile(0, <a class="code hl_class" href="../../dd/d57/a04233.html">ExpansionIcons</a>.<a class="code hl_function" href="../../dd/d57/a04233.html#ab674a6daaeff7fbe0a88cd5f56f2ecf0">GetPath</a>(<span class="stringliteral">&quot;Helicopter&quot;</span>));</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>            StanceHeli.SetImage(0);</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>            StanceBoat.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>            StanceDead.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>            StanceUncon.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../db/d08/a01028.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a>.BOAT:</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>            StanceStand.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>            StanceStandWalk.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span>            StanceCrouch.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span>            StanceProne.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>            StanceCar.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>            StanceHeli.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span>            StanceBoat.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>            StanceBoat.LoadImageFile(0, <a class="code hl_class" href="../../dd/d57/a04233.html">ExpansionIcons</a>.<a class="code hl_function" href="../../dd/d57/a04233.html#ab674a6daaeff7fbe0a88cd5f56f2ecf0">GetPath</a>(<span class="stringliteral">&quot;Boat&quot;</span>));</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>            StanceBoat.SetImage(0);</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span>            StanceDead.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span>            StanceUncon.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../db/d08/a01028.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a>.DEAD:</div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>            StanceStand.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span>            StanceStandWalk.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>            StanceCrouch.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span>            StanceProne.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span>            StanceCar.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span>            StanceHeli.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span>            StanceBoat.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span>            StanceDead.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>            StanceUncon.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span>        <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../db/d08/a01028.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a>.UNCONSCIOUS:</div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>            StanceStand.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>            StanceStandWalk.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>            StanceCrouch.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span>            StanceProne.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span>            StanceCar.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>            StanceHeli.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span>            StanceBoat.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00345" name="l00345"></a><span class="lineno">  345</span>            StanceDead.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00346" name="l00346"></a><span class="lineno">  346</span>            StanceUncon.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno">  347</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span>        }</div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno">  349</span>    }</div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span>        </div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../dd/de7/a01868.html#a2be348ec8b7c18e745dec95bf616fab9">GetUpdateTickRate</a>()</div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span>    {</div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno">  353</span>        <span class="keywordflow">return</span> 1.0;</div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span>    }</div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span>    </div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno">  356</span>    <span class="keywordtype">void</span> <a class="code hl_enumvalue" href="../../d0/d7e/a00770.html#abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68">Update</a>()</div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno">  357</span>    {</div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span><span class="preprocessor">#ifdef EXPANSIONMONITORMODULE</span></div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a>(<a class="code hl_class" href="../../d8/d92/a08053.html">ExpansionPartySettings</a>))</div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span> </div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno">  362</span>        <a class="code hl_class" href="../../d8/d84/a00001.html#d8/d04/a08037">ExpansionMonitorModule</a> monitorModule = <a class="code hl_class" href="../../d8/d84/a00001.html#d8/d04/a08037">ExpansionMonitorModule</a>.Cast(CF_ModuleCoreManager.Get(<a class="code hl_class" href="../../d8/d84/a00001.html#d8/d04/a08037">ExpansionMonitorModule</a>));</div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span>        <span class="keywordflow">if</span> (monitorModule)</div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span>        {</div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a>().<a class="code hl_variable" href="../../d8/d4e/a01355.html#aa6dce6ef826a5ec0f963e097e1dd3be8">ShowHUDMemberStates</a> || <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a>().<a class="code hl_variable" href="../../d8/d4e/a01355.html#af08568695364f7a77e011598de966035">ShowHUDMemberStance</a>)</div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span>                monitorModule.RequestPlayerStatsAndStates(m_PlayerPlainID);</div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno">  368</span>                monitorModule.RequestPlayerStats(m_PlayerPlainID);</div>
<div class="line"><a id="l00369" name="l00369"></a><span class="lineno">  369</span>        }</div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno">  370</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00371" name="l00371"></a><span class="lineno">  371</span>    }</div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span>    </div>
<div class="line"><a id="l00373" name="l00373"></a><span class="lineno">  373</span>    <span class="keywordtype">void</span> CreateUpdateTimer()</div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span>    {</div>
<div class="line"><a id="l00375" name="l00375"></a><span class="lineno">  375</span>        <span class="keyword">auto</span> trace = <a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_function" href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">Start</a>(<a class="code hl_class" href="../../da/deb/a04249.html">EXTrace</a>.<a class="code hl_variable" href="../../da/deb/a04249.html#a6d1ed346787ec0836b1f3bedcf95392d">GROUPS</a>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno">  376</span> </div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span>        <span class="keywordflow">if</span> (!m_UpdateTimer &amp;&amp; <a class="code hl_function" href="../../dd/de7/a01868.html#a2be348ec8b7c18e745dec95bf616fab9">GetUpdateTickRate</a>() != -1)</div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span>        {</div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno">  379</span>            m_UpdateTimer = <span class="keyword">new</span> Timer(CALL_CATEGORY_GUI);</div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span>            m_UpdateTimer.Run(<a class="code hl_function" href="../../dd/de7/a01868.html#a2be348ec8b7c18e745dec95bf616fab9">GetUpdateTickRate</a>(), <span class="keyword">this</span>, <span class="stringliteral">&quot;Update&quot;</span>, NULL, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span>        }</div>
<div class="line"><a id="l00382" name="l00382"></a><span class="lineno">  382</span>    }</div>
<div class="line"><a id="l00383" name="l00383"></a><span class="lineno">  383</span>    </div>
<div class="line"><a id="l00384" name="l00384"></a><span class="lineno">  384</span>    <span class="keywordtype">void</span> DestroyUpdateTimer()</div>
<div class="line"><a id="l00385" name="l00385"></a><span class="lineno">  385</span>    {</div>
<div class="line"><a id="l00386" name="l00386"></a><span class="lineno">  386</span>        <span class="keywordflow">if</span> (m_UpdateTimer)</div>
<div class="line"><a id="l00387" name="l00387"></a><span class="lineno">  387</span>        {</div>
<div class="line"><a id="l00388" name="l00388"></a><span class="lineno">  388</span>            m_UpdateTimer.Stop();</div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno">  389</span>            <span class="keyword">delete</span> m_UpdateTimer;</div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span>        }</div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span>    }</div>
<div class="line"><a id="l00392" name="l00392"></a><span class="lineno">  392</span>};</div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno">  393</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aa00001_html_d8/d04/a08037"><div class="ttname"><a href="../../d8/d84/a00001.html#d8/d04/a08037">ExpansionMonitorModule</a></div><div class="ttdoc">This class handle expansion monitor module.</div></div>
<div class="ttc" id="aa00023_html_ad9eab3191d8b7cc0f5414602631292b8"><div class="ttname"><a href="../../d3/d52/a00023.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a></div><div class="ttdeci">override bool IsLoaded()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d52/a00023_source.html#l00241">expansionbasebuildingsettings.c:241</a></div></div>
<div class="ttc" id="aa00704_html_aae475e0b4d95b152ef3e68af16944a01"><div class="ttname"><a href="../../d4/d6a/a00704.html#aae475e0b4d95b152ef3e68af16944a01">GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6a/a00704_source.html#l00265">expansionchatline.c:265</a></div></div>
<div class="ttc" id="aa00704_html_af50c208477ace3db233bfb6243901f7c"><div class="ttname"><a href="../../d4/d6a/a00704.html#af50c208477ace3db233bfb6243901f7c">GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6a/a00704_source.html#l00236">expansionchatline.c:236</a></div></div>
<div class="ttc" id="aa00770_html_abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68"><div class="ttname"><a href="../../d0/d7e/a00770.html#abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68">Update</a></div><div class="ttdeci">@ Update</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d7e/a00770_source.html#l00280">expansionrpc.c:280</a></div></div>
<div class="ttc" id="aa01028_html_a56153e5facc83b13d834608965b09892"><div class="ttname"><a href="../../db/d08/a01028.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a></div><div class="ttdeci">ExpansionPlayerStanceStatus</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/a01028_source.html#l00017">expansionsyncedplayerstats.c:18</a></div></div>
<div class="ttc" id="aa01340_html_aff9a284bb904b06f8ab09a622b5d7d6f"><div class="ttname"><a href="../../d7/d51/a01340.html#aff9a284bb904b06f8ab09a622b5d7d6f">SetView</a></div><div class="ttdeci">void SetView()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d51/a01340_source.html#l00087">expansiondialogcontent_wrapspacer.c:87</a></div></div>
<div class="ttc" id="aa01355_html_a6ad90c3c11d61454c49fd08db8b30d8c"><div class="ttname"><a href="../../d8/d4e/a01355.html#a6ad90c3c11d61454c49fd08db8b30d8c">ShowHUDMemberBlood</a></div><div class="ttdeci">bool ShowHUDMemberBlood</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d4e/a01355_source.html#l00038">expansionpartysettings.c:38</a></div></div>
<div class="ttc" id="aa01355_html_aa6dce6ef826a5ec0f963e097e1dd3be8"><div class="ttname"><a href="../../d8/d4e/a01355.html#aa6dce6ef826a5ec0f963e097e1dd3be8">ShowHUDMemberStates</a></div><div class="ttdeci">bool ShowHUDMemberStates</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d4e/a01355_source.html#l00039">expansionpartysettings.c:39</a></div></div>
<div class="ttc" id="aa01355_html_af08568695364f7a77e011598de966035"><div class="ttname"><a href="../../d8/d4e/a01355.html#af08568695364f7a77e011598de966035">ShowHUDMemberStance</a></div><div class="ttdeci">bool ShowHUDMemberStance</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d4e/a01355_source.html#l00040">expansionpartysettings.c:40</a></div></div>
<div class="ttc" id="aa01868_html_a2be348ec8b7c18e745dec95bf616fab9"><div class="ttname"><a href="../../dd/de7/a01868.html#a2be348ec8b7c18e745dec95bf616fab9">GetUpdateTickRate</a></div><div class="ttdeci">override float GetUpdateTickRate()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de7/a01868_source.html#l00236">expansionmarketmenucategory.c:236</a></div></div>
<div class="ttc" id="aa04233_html"><div class="ttname"><a href="../../dd/d57/a04233.html">ExpansionIcons</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/db8/a00797_source.html#l00013">expansionicons.c:14</a></div></div>
<div class="ttc" id="aa04233_html_ab674a6daaeff7fbe0a88cd5f56f2ecf0"><div class="ttname"><a href="../../dd/d57/a04233.html#ab674a6daaeff7fbe0a88cd5f56f2ecf0">ExpansionIcons::GetPath</a></div><div class="ttdeci">static string GetPath(string name)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/db8/a00797_source.html#l00289">expansionicons.c:289</a></div></div>
<div class="ttc" id="aa04249_html"><div class="ttname"><a href="../../da/deb/a04249.html">EXTrace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00029">expansiontracing.c:30</a></div></div>
<div class="ttc" id="aa04249_html_a137df85551170b6f8824a8598b9ba405"><div class="ttname"><a href="../../da/deb/a04249.html#a137df85551170b6f8824a8598b9ba405">EXTrace::PLAYER_MONITOR</a></div><div class="ttdeci">static bool PLAYER_MONITOR</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00092">expansiontracing.c:92</a></div></div>
<div class="ttc" id="aa04249_html_a6d1ed346787ec0836b1f3bedcf95392d"><div class="ttname"><a href="../../da/deb/a04249.html#a6d1ed346787ec0836b1f3bedcf95392d">EXTrace::GROUPS</a></div><div class="ttdeci">static bool GROUPS</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00066">expansiontracing.c:66</a></div></div>
<div class="ttc" id="aa04249_html_ab7af4b282c08a043d2f9626231c59953"><div class="ttname"><a href="../../da/deb/a04249.html#ab7af4b282c08a043d2f9626231c59953">EXTrace::Start</a></div><div class="ttdeci">static EXTrace Start(bool yes=true, Class instance=null, string param0=&quot;&quot;, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdoc">Includes 1st line of stack.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7e/a00809_source.html#l00323">expansiontracing.c:323</a></div></div>
<div class="ttc" id="aa04293_html"><div class="ttname"><a href="../../d8/dfd/a04293.html">ExpansionScriptViewBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db6/a08775_source.html#l00021">expansionscriptview.c:22</a></div></div>
<div class="ttc" id="aa04541_html"><div class="ttname"><a href="../../d9/d36/a04541.html">ExpansionSyncedPlayerStats</a></div><div class="ttdoc">This class handles the sycronised player stats values.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/a01028_source.html#l00091">expansionsyncedplayerstats.c:92</a></div></div>
<div class="ttc" id="aa04541_html_a386ac5c35fc67a66b02890cafefa9a0d"><div class="ttname"><a href="../../d9/d36/a04541.html#a386ac5c35fc67a66b02890cafefa9a0d">ExpansionSyncedPlayerStats::m_Blood</a></div><div class="ttdeci">int m_Blood</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/a01028_source.html#l00098">expansionsyncedplayerstats.c:98</a></div></div>
<div class="ttc" id="aa04541_html_a3a47afe18588cf04099939866f667ac8"><div class="ttname"><a href="../../d9/d36/a04541.html#a3a47afe18588cf04099939866f667ac8">ExpansionSyncedPlayerStats::m_Health</a></div><div class="ttdeci">int m_Health</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/a01028_source.html#l00097">expansionsyncedplayerstats.c:97</a></div></div>
<div class="ttc" id="aa04541_html_af1bdf892773fe32beec0cc4c81168651"><div class="ttname"><a href="../../d9/d36/a04541.html#af1bdf892773fe32beec0cc4c81168651">ExpansionSyncedPlayerStats::m_PlainID</a></div><div class="ttdeci">string m_PlainID</div><div class="ttdoc">ID not synched in 'OnSend', applied in 'RPC_SendPlayerStats'.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/a01028_source.html#l00094">expansionsyncedplayerstats.c:94</a></div></div>
<div class="ttc" id="aa04541_html_afeda392525a5dd89e7c01dc18202b48a"><div class="ttname"><a href="../../d9/d36/a04541.html#afeda392525a5dd89e7c01dc18202b48a">ExpansionSyncedPlayerStats::m_HasBaseStats</a></div><div class="ttdeci">bool m_HasBaseStats</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d08/a01028_source.html#l00096">expansionsyncedplayerstats.c:96</a></div></div>
<div class="ttc" id="aa08053_html"><div class="ttname"><a href="../../d8/d92/a08053.html">ExpansionPartySettings</a></div><div class="ttdoc">Party settings class.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d4e/a01355_source.html#l00031">expansionpartysettings.c:13</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
<div class="ttc" id="aa08610_html_a02db2b524a6e549a43edb6ff450c9439"><div class="ttname"><a href="../../d4/d3a/a08610.html#a02db2b524a6e549a43edb6ff450c9439">m_PlayerName</a></div><div class="ttdeci">protected string m_PlayerName</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d3a/a08610_source.html#l00023">playerbase.c:23</a></div></div>
<div class="ttc" id="aa09045_html_af7261e463c7cda8201ff39b6c68de65d"><div class="ttname"><a href="../../d9/d21/a09045.html#af7261e463c7cda8201ff39b6c68de65d">GetParty</a></div><div class="ttdeci">ExpansionPartyData GetParty()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d21/a09045_source.html#l00119">expansionpartyplayerdata.c:119</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_ff949afafcae8fbf6c7a19a8a5258c33.html">Groups</a></li><li class="navelem"><a class="el" href="../../dir_423eee387034e8a926745b1aa01a969e.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_a26e6ac2072fb45b630c9f4a33f5500e.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_80fb5561508a210b44256c0197be2e6f.html">dayzexpansion_groups</a></li><li class="navelem"><a class="el" href="../../dir_f5f6d32a24f90d948d7f5105e61150af.html">mvc_view</a></li><li class="navelem"><a class="el" href="../../de/d9d/a01382.html">expansionpartyhudmember.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
